import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserArgsObjectSchema as UserArgsObjectSchema } from './UserArgs.schema'

const makeSchema = () => z.object({
  id: z.boolean().optional(),
  userId: z.boolean().optional(),
  createdAt: z.boolean().optional(),
  user: z.union([z.boolean(), z.lazy(() => UserArgsObjectSchema)]).optional()
}).strict();
export const DatabaseBackupSelectObjectSchema: z.ZodType<Prisma.DatabaseBackupSelect> = makeSchema() as unknown as z.ZodType<Prisma.DatabaseBackupSelect>;
export const DatabaseBackupSelectObjectZodSchema = makeSchema();
